
D4Science Infrastructure - Task #3895

Upgrade the jackrabbit devel environment

May 05, 2016 02:23 PM - Andrea Dell'Amico

Status: Closed Start date: May 05, 2016

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

It's currently running on a Ubuntu 9.04 and tomcat is 5.5.

It should be reinstalled on a more modern distribution with a recent tomcat: 5.5 is tragically full of security bug

Related issues:

Related to D4Science Infrastructure - Task #3992: Clone of node11.d.d4science... Closed May 12, 2016

Related to D4Science Infrastructure - Task #9310: Dismiss the 2 VMs dedicated... Closed Jul 19, 2017

History

#1 - May 05, 2016 02:28 PM - Andrea Dell'Amico

@valentina.marioli@isti.cnr.it is it doable? I see that the running tomcat runs a lot of apps, most of them installed in 2012.

#2 - May 12, 2016 11:23 AM - Valentina Marioli

Yes, it can be upgraded.

#3 - May 12, 2016 01:13 PM - Tommaso Piccioli

- Related to Task #3992: Clone of node11.d.d4science.research-infrastructures.eu added

#4 - Jun 08, 2016 06:22 PM - Valentina Marioli

- Priority changed from Normal to High

Any update on this task?

#5 - Jun 08, 2016 07:40 PM - Andrea Dell'Amico

Well, we need information.

Which jackrabbit version?

are tomcat 7 and jdk 7 OK?

A solution were all the traffic is proxied over ssl is viable? I see that production accepts direct connections on the tomcat port from some servers,

but I don't know why

Can we start to test a clustered solution on the dev infrastructure, so that we can avoid problems like the one we suffered today?

#6 - Jun 14, 2016 03:48 PM - Valentina Marioli

Please, update just Tomcat and JDK (7 is ok). The Jackrabbit webapp on node11.d is not the standard Jackrabbit, but a webapp build on the top of

Jackrabbit.

Tomcat in production accepts direct connections from my pc.

The traffic on node11.d is already proxied over ssl.

It's a good idea to test a clustered solution.

#7 - Jun 20, 2016 06:35 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20

Tommaso created the following VMs:

workspace-repository-devnext IN CNAME workspace-repository1-d.d4science.org

workspace-repository-devsec IN CNAME workspace-repository2-d.d4science.org
workspace-repository1-d.d4science.org IN A 146.48.122.137

workspace-repository2-d.d4science.org IN A 146.48.122.140

workspace-repository3-d.d4science.org IN A 146.48.122.135

 workspace-repository3-d.d4science.org can be used together with any of the other ones to test the jackrabbit cluster capabilities: 

http://wiki.apache.org/jackrabbit/Clustering

We can try it on the devnext or devsec instance, your choice. The cluster needs a common storage (DB, not a file system if possible)

#8 - Jun 21, 2016 03:15 PM - Andrea Dell'Amico

After talks with @valentina.marioli@isti.cnr.it :

devnext will be the clustered instance. The DB will be postgresql, installed on workspace-repository3-d.d4science.org (for devnext) and

workspace-repository2-d.d4science.org (devsec)

#9 - Jun 23, 2016 06:04 PM - Andrea Dell'Amico

A node for a mongo instance has been requested. I'm going to name it ws-repo-mongo-d.d4science.org

#10 - Jun 23, 2016 09:09 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 90

All the servers are configured.

The tomcat user is gcube, Valentina has ssh access on the three application servers. http access via ssl is open to the world, while the dev portals

can access all the unprivileged ports because of the RMI connections. Valentina has open access from her workstation, too.

Let me know if the ssl access needs to be restricted.

The postgresql instances have a db named jackrabbit_dev, and the user is jrdevnext for the devnext instance on workspace-repository3-d and

jrdevsec for the devsec instance.

The mongo server is running mongo 3.2.7, and it is accessible without authentication from the three application servers,

node11.d.d4science.research-infrastructures.eu, and the Valentina's workstation.

#11 - Jun 23, 2016 09:10 PM - Andrea Dell'Amico

The part that is not still clear is if the jackrabbit cluster needs a load balancer of if the clients are able to enlist all the cluster members in some way.

#12 - Jun 24, 2016 06:57 PM - Valentina Marioli

Jackrabbit cluster does not need a load balancer. Clusters can be defined in jackrabbit/repository.xml file.

#13 - Jun 24, 2016 07:01 PM - Andrea Dell'Amico

OK, so if there are no configuration problems my job is finished, right?

#14 - Jun 27, 2016 12:41 PM - Valentina Marioli

To perform the migration, I need to shutdown the tomcat, but I can't do that on node11.d. So I'm going to use ws-repo-test.d4science.org (Jackrabbit

preprod). Please, enable ws-repo-test.d4science.org to access without authentication to mongo.

When I use postgres (workspace-repository3-d.d4science.org) as repository from ws-repo-test.d4science.org I get: : "Connection refused. Check that

the hostname and port are correct and that the postmaster is accepting TCP/IP connections."

#15 - Jun 27, 2016 01:25 PM - Andrea Dell'Amico

Done.

#16 - Jul 07, 2016 11:34 AM - Valentina Marioli

- % Done changed from 90 to 100

ws-repo-test.d4science.org (Jackrabbit preprod) is now using postgreSQL to store data, but I have not tested the Jackrabbit cluster because I couldn't

export data from Derby. 

#17 - Jul 07, 2016 12:29 PM - Pasquale Pagano

so? what is now the plan to export form Derby? 

#18 - Feb 23, 2017 06:36 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
node11.d.d4science.research-infrastructures.eu is still needed. Tom upgraded it to Ubuntu 14.04 and java 8. I just installed a letsencrypt certificate for

apache and fixed the iptables rules.

The apache and tomcat (+ webapps) are manually set up on this node.

#21 - Jul 19, 2017 12:14 PM - Andrea Dell'Amico

- Related to Task #9310: Dismiss the 2 VMs dedicated to MongoDB Jackrabbit OAK added

#22 - Jul 19, 2017 03:00 PM - Andrea Dell'Amico

- Related to Task #9313: Test the jackrabbit cluster in dev added

#23 - Jul 19, 2017 03:01 PM - Andrea Dell'Amico

- Related to deleted (Task #9313: Test the jackrabbit cluster in dev)
